diff --git a/Support/lib/docset_query.rb b/Support/lib/docset_query.rb
index 2457877..708cd7b 100644
--- a/Support/lib/docset_query.rb
+++ b/Support/lib/docset_query.rb
@@ -3,6 +3,7 @@ SUPPORT = ENV['TM_SUPPORT_PATH']
 require SUPPORT + '/lib/exit_codes'
 require SUPPORT + '/lib/escape'
 require SUPPORT + '/lib/osx/plist'
+require SUPPORT + '/lib/ui'
 
 DOCSET_CMD = "/Developer/usr/bin/docsetutil search -skip-text -query "
 
@@ -128,12 +129,18 @@ end
 
 def documentation_for_word
 	query = ENV['TM_SELECTED_TEXT'] || ENV['TM_CURRENT_WORD']
-	results = search_docs(query)
 
-	man = man_page(query) 
-	results << man if man
+  # Open Search Box, pre-populated with the current / selected word, or blank
+  query = TextMate::UI.search_box("Search Documentation",query,"Search")
 
-	show_document(results, query)
+  if query != nil
+		results = search_docs(query)
+
+		man = man_page(query)
+		results << man if man
+
+		show_document(results, query)
+	end
 end
 
 def documentation_for_selector
